Support » Plugin: amr shortcode any widget » Problem after updating to 3.7

  • [14-Mar-2019 10:14:25 UTC] PHP Warning: Invalid argument supplied for foreach() in /var/www/releases/c5e5d1c1786064a261fe071bfef14ad4698fdd11/htdocs/wp-includes/widgets.php on line 1177

    After updating i get this message quite often in my logs. As soon as I open the the Dashboard > Design > Widgets Site, all my widgets are gone. When i add one and refresh, it’s gone again and I get a log message.

    We are using:

    * WP 4.8
    * PHP 5.5.x

    Do you have a workaround for me?

Viewing 2 replies - 1 through 2 (of 2 total)
  • Most likely too old php version. Many plugins require quite new version.

    Especially warning messages like
    PHP Warning: Invalid argument supplied for foreach()

    indicate too old version. Many plugin require PHP 7.0.

    • This reply was modified 8 months, 1 week ago by tapiohuuhaa.
    Plugin Author anmari

    (@anmari)

    My test site is on wp 5.1.1 nightly build with php 7.3.1 and I am not experiencing any problems such as you describe.

    The plugin itself has hardly changed or needed to change over the years, just minor tweaks or retesting on versions.

    That message refers to a section in the wp core widgets file so it could be caused by a theme or another plugin.

    As noted by tapiohuuhaa, wp recommends php 7+ https://wordpress.org/about/requirements/.
    Please test without this plugin active, see if problem still occurs.

    I’d suggest seeing if you can get your php version upgraded. If the problem still occurs, try test with different theme and/or try temporarily deactivating other plugins.

    Good luck.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Problem after updating to 3.7’ is closed to new replies.